com.aliyun.svideosdk.editor

## Interface AliyunPasterController

- All Superinterfaces:
    AliyunIPasterController

      public interface AliyunPasterController
      extends AliyunIPasterController

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnimPlayerView` | `createPasterPlayer(TextureView view)` 创建一个动图预览播放器
    `int` | `editCompleted()` 通知上层编辑已经完成，该方法会获取上层的编辑状态更新到底层渲染，贴图会重新渲染并显示
    `void` | `editStart()` 通知上层开始编辑了，底层会停掉贴图的渲染并隐藏贴图
    `int` | `getConfigTextColor()` 获取贴图配置里的文字颜色，仅当文字贴图或字幕贴图时有效
    `int` | `getConfigTextStrokeColor()` 获取配置里的文字描边颜色，仅当文字贴图或字幕贴图时有效
    `EffectBase` | `getEffect()` 获取当前特效属性
    `float` | `getPasterCenterX()` 获取贴图中心点x坐标，在屏幕坐标系下
    `float` | `getPasterCenterY()` 获取贴图中心点y坐标，在屏幕坐标系下
    `long` | `getPasterDuration()` 获取贴图持续时长
    `long` | `getPasterDuration(java.util.concurrent.TimeUnit timeUnit)` 获取贴图持续时长
    `int` | `getPasterHeight()` 获取贴图高度，在屏幕坐标系下
    `java.lang.String` | `getPasterIconPath()` 获取贴图icon，主要用于UI展示，一般为贴图关键帧
    `float` | `getPasterRotation()` 获取贴图旋转角度
    `long` | `getPasterStartTime()` 获取贴图开始时间（时间单位：us）
    `long` | `getPasterStartTime(java.util.concurrent.TimeUnit timeUnit)` 获取贴图开始时间
    `java.lang.String` | `getPasterTextFont()` Deprecated. 使用 `getPasterTextFontSource()`替代
    `Source` | `getPasterTextFontSource()` 获取贴图文字的字体资源
    `int` | `getPasterTextHeight()` 获取字幕贴图文字的高度
    `int` | `getPasterTextOffsetX()` 获取文字在水平方向上的偏移，主要对字幕贴图有效
    `int` | `getPasterTextOffsetY()` 获取文字在竖直方向上的偏移，主要对字幕贴图有效
    `float` | `getPasterTextRotation()` 获取字幕贴图文字的旋转角度
    `int` | `getPasterTextWidth()` 获取字幕贴图文字的宽度
    `int` | `getPasterType()` 获取贴图类型
    `int` | `getPasterWidth()` 获取贴图宽度，在屏幕坐标系下
    `java.lang.String` | `getText()` 获取文字，仅当文字贴图或字幕贴图时有效
    `int` | `getTextBgLabelColor()` 获取文字背景label颜色，仅当文字贴图或字幕贴图时有效
    `int` | `getTextColor()` 获取文字颜色，仅当文字贴图或字幕贴图时有效
    `int` | `getTextStrokeColor()` 获取文字描边颜色，仅当文字贴图或字幕贴图时有效
    `boolean` | `isOnlyApplyUI()` 当前是否仅仅是UI
    `boolean` | `isPasterExists()` 判断贴图文件是否存在
    `boolean` | `isPasterMirrored()` 判断贴图是否翻转了
    `boolean` | `isRevert()` 获取是否用于回退效果
    `boolean` | `isTextHasStroke()` 贴图是否含有描边，仅当文字贴图或字幕贴图时有效
    `int` | `removePaster()` Deprecated.
    `void` | `setEffect(EffectBase effect)` 设置当前特效属性
    `void` | `setOnlyApplyUI(boolean applyUI)` 设置是否仅仅需要UI
    `void` | `setPasterDuration(long duration)` 设置贴图持续时长
    `void` | `setPasterDuration(long duration, java.util.concurrent.TimeUnit timeUnit)` 设置贴图持续时长
    `void` | `setPasterStartTime(long start)` 设置贴图开始时间
    `void` | `setPasterStartTime(long start, java.util.concurrent.TimeUnit timeUnit)` 设置贴图开始时间
    `void` | `setPasterView(AliyunPasterBaseView pasterView)` 设置动图上层UI的实现接口
    `void` | `setRevert(boolean isRevert)` 设置是否用于回退效果

    - ### Methods inherited from interface com.aliyun.svideosdk.editor.AliyunIPasterController

      `getDuration, getDuration, getPosition, getRotate, getSize, getStartTime, getStartTime, getType, setDuration, setDuration, setPosition, setRotate, setStartTime, setStartTime`

- - ### Method Detail

    - #### setPasterView

          void setPasterView(AliyunPasterBaseView pasterView)

      设置动图上层UI的实现接口
      Parameters:
        `pasterView` -

    - #### getText

          java.lang.String getText()

      获取文字，仅当文字贴图或字幕贴图时有效

    - #### getTextColor

          int getTextColor()

      获取文字颜色，仅当文字贴图或字幕贴图时有效

    - #### getConfigTextColor

          int getConfigTextColor()

      获取贴图配置里的文字颜色，仅当文字贴图或字幕贴图时有效

    - #### getConfigTextStrokeColor

          int getConfigTextStrokeColor()

      获取配置里的文字描边颜色，仅当文字贴图或字幕贴图时有效

    - #### getTextStrokeColor

          int getTextStrokeColor()

      获取文字描边颜色，仅当文字贴图或字幕贴图时有效

    - #### isTextHasStroke

          boolean isTextHasStroke()

      贴图是否含有描边，仅当文字贴图或字幕贴图时有效

    - #### getTextBgLabelColor

          int getTextBgLabelColor()

      获取文字背景label颜色，仅当文字贴图或字幕贴图时有效

    - #### getPasterCenterY

          float getPasterCenterY()

      获取贴图中心点y坐标，在屏幕坐标系下

    - #### getPasterCenterX

          float getPasterCenterX()

      获取贴图中心点x坐标，在屏幕坐标系下

    - #### getPasterWidth

          int getPasterWidth()

      获取贴图宽度，在屏幕坐标系下

    - #### getPasterHeight

          int getPasterHeight()

      获取贴图高度，在屏幕坐标系下

    - #### getPasterRotation

          float getPasterRotation()

      获取贴图旋转角度

    - #### getPasterTextOffsetX

          int getPasterTextOffsetX()

      获取文字在水平方向上的偏移，主要对字幕贴图有效

    - #### getPasterTextOffsetY

          int getPasterTextOffsetY()

      获取文字在竖直方向上的偏移，主要对字幕贴图有效

    - #### getPasterTextWidth

          int getPasterTextWidth()

      获取字幕贴图文字的宽度

    - #### getPasterTextHeight

          int getPasterTextHeight()

      获取字幕贴图文字的高度

    - #### getPasterTextRotation

          float getPasterTextRotation()

      获取字幕贴图文字的旋转角度
      Returns:
        字幕贴图文字的旋转角度 （弧度值）

    - #### getPasterTextFont

          @Deprecated
          java.lang.String getPasterTextFont()

      Deprecated. 使用 `getPasterTextFontSource()`替代
      获取贴图文字的字体
      Returns:
        字体文件路径

    - #### getPasterTextFontSource

          Source getPasterTextFontSource()

      获取贴图文字的字体资源
      Returns:
        字体资源

    - #### editStart

          void editStart()

      通知上层开始编辑了，底层会停掉贴图的渲染并隐藏贴图

    - #### editCompleted

          int editCompleted()

      通知上层编辑已经完成，该方法会获取上层的编辑状态更新到底层渲染，贴图会重新渲染并显示

    - #### removePaster

          @Deprecated
          int removePaster()

      Deprecated.
      移除贴图
      Returns:
        成功返回0，失败返回ErrorCode

    - #### isPasterExists

          boolean isPasterExists()

      判断贴图文件是否存在

    - #### setPasterStartTime

          void setPasterStartTime(long start)

      设置贴图开始时间
      Parameters:
        `start` - 单位：us

    - #### setPasterStartTime

          void setPasterStartTime(long start,
                                  java.util.concurrent.TimeUnit timeUnit)

      设置贴图开始时间

      v3.27.0新增

      Parameters:
        `start` - 开始时间
        `timeUnit` - 时间单位

    - #### setPasterDuration

          void setPasterDuration(long duration)

      设置贴图持续时长
      Parameters:
        `duration` - 单位：us
        `timeUnit` - 时间单位

    - #### setPasterDuration

          void setPasterDuration(long duration,
                                 java.util.concurrent.TimeUnit timeUnit)

      设置贴图持续时长

      v3.27.0新增

      Parameters:
        `duration` -

    - #### getPasterStartTime

          long getPasterStartTime()

      获取贴图开始时间（时间单位：us）

    - #### getPasterStartTime

          long getPasterStartTime(java.util.concurrent.TimeUnit timeUnit)

      获取贴图开始时间

      v3.27.0新增

      Parameters:
        `timeUnit` - 时间单位
      Returns:
        贴图开始时间

    - #### getPasterDuration

          long getPasterDuration()

      获取贴图持续时长
      Returns:
        贴图持续时长（时间单位：us）

    - #### getPasterDuration

          long getPasterDuration(java.util.concurrent.TimeUnit timeUnit)

      获取贴图持续时长

      v3.27.0新增

      Parameters:
        `timeUnit` - 时间单位
      Returns:
        贴图持续时长（时间单位：毫秒）

    - #### getPasterIconPath

          java.lang.String getPasterIconPath()

      获取贴图icon，主要用于UI展示，一般为贴图关键帧
      Returns:
        贴图icon路径

    - #### createPasterPlayer

          AnimPlayerView createPasterPlayer(TextureView view)

      创建一个动图预览播放器
      Parameters:
        `view` -

    - #### getPasterType

          int getPasterType()

      获取贴图类型
      Returns:
        贴图类型
      See Also:
        `EffectPaster.PASTER_TYPE_GIF`, `EffectPaster.PASTER_TYPE_TEXT`, `EffectPaster.PASTER_TYPE_CAPTION`

    - #### isPasterMirrored

          boolean isPasterMirrored()

      判断贴图是否翻转了
      Returns:
        true 翻转了 false 未翻转

    - #### getEffect

          EffectBase getEffect()

      获取当前特效属性

    - #### setEffect

          void setEffect(EffectBase effect)

      设置当前特效属性

    - #### setOnlyApplyUI

          void setOnlyApplyUI(boolean applyUI)

      设置是否仅仅需要UI
      Parameters:
        `applyUI` -

    - #### isOnlyApplyUI

          boolean isOnlyApplyUI()

      当前是否仅仅是UI

    - #### setRevert

          void setRevert(boolean isRevert)

      设置是否用于回退效果
      Parameters:
        `isRevert` -

    - #### isRevert

          boolean isRevert()

      获取是否用于回退效果